diff --git a/chrono/manager/forms.py b/chrono/manager/forms.py
index 3f049d8..db023ee 100644
--- a/chrono/manager/forms.py
+++ b/chrono/manager/forms.py
@@ -26,16 +26,22 @@ from django.utils.encoding import force_text
 from django.utils.timezone import make_aware
 from django.utils.translation import ugettext_lazy as _
 
-from chrono.agendas.models import (Agenda, Event, MeetingType, TimePeriod, Desk,
-                                   TimePeriodException, WEEKDAYS_LIST)
+from chrono.agendas.models import (
+    WEEKDAYS_LIST,
+    Agenda,
+    Desk,
+    Event,
+    MeetingType,
+    TimePeriod,
+    TimePeriodException,
+)
 
 from . import widgets
 
-
 DATETIME_OPTIONS = {
-        'weekStart': 1,
-        'autoclose': True,
-        }
+    'weekStart': 1,
+    'autoclose': True,
+}
 
 
 class DateTimeWidget(widgets.DateTimeWidget):
@@ -49,11 +55,11 @@ class AgendaAddForm(forms.ModelForm):
         fields = ['label', 'kind', 'edit_role', 'view_role']
 
     edit_role = forms.ModelChoiceField(
-            label=_('Edit Role'), required=False,
-            queryset=Group.objects.all().order_by('name'))
+        label=_('Edit Role'), required=False, queryset=Group.objects.all().order_by('name')
+    )
     view_role = forms.ModelChoiceField(
-            label=_('View Role'), required=False,
-            queryset=Group.objects.all().order_by('name'))
+        label=_('View Role'), required=False, queryset=Group.objects.all().order_by('name')
+    )
 
 
 class AgendaEditForm(AgendaAddForm):
@@ -66,8 +72,8 @@ class NewEventForm(forms.ModelForm):
     class Meta:
         model = Event
         widgets = {
-                'agenda': forms.HiddenInput(),
-                'start_datetime': DateTimeWidget(),
+            'agenda': forms.HiddenInput(),
+            'start_datetime': DateTimeWidget(),
         }
         exclude = ['full', 'meeting_type', 'desk', 'slug']
 
@@ -76,8 +82,8 @@ class EventForm(forms.ModelForm):
     class Meta:
         model = Event
         widgets = {
-                'agenda': forms.HiddenInput(),
-                'start_datetime': DateTimeWidget(),
+            'agenda': forms.HiddenInput(),
+            'start_datetime': DateTimeWidget(),
         }
         exclude = ['full', 'meeting_type', 'desk']
 
@@ -86,7 +92,7 @@ class NewMeetingTypeForm(forms.ModelForm):
     class Meta:
         model = MeetingType
         widgets = {
-                'agenda': forms.HiddenInput(),
+            'agenda': forms.HiddenInput(),
         }
         exclude = ['slug']
 
@@ -95,16 +101,15 @@ class MeetingTypeForm(forms.ModelForm):
     class Meta:
         model = MeetingType
         widgets = {
-                'agenda': forms.HiddenInput(),
+            'agenda': forms.HiddenInput(),
         }
         exclude = []
 
 
 class TimePeriodAddForm(forms.Form):
     weekdays = forms.MultipleChoiceField(
-            label=_('Days'),
-            widget=widgets.WeekdaysWidget(),
-            choices=WEEKDAYS_LIST)
+        label=_('Days'), widget=widgets.WeekdaysWidget(), choices=WEEKDAYS_LIST
+    )
     start_time = forms.TimeField(label=_('Start Time'), widget=widgets.TimeWidget())
     end_time = forms.TimeField(label=_('End Time'), widget=widgets.TimeWidget())
 
@@ -118,9 +123,9 @@ class TimePeriodForm(forms.ModelForm):
     class Meta:
         model = TimePeriod
         widgets = {
-                'start_time': widgets.TimeWidget(),
-                'end_time': widgets.TimeWidget(),
-                'desk': forms.HiddenInput(),
+            'start_time': widgets.TimeWidget(),
+            'end_time': widgets.TimeWidget(),
+            'desk': forms.HiddenInput(),
         }
         exclude = []
 
@@ -166,11 +171,14 @@ class TimePeriodExceptionForm(forms.ModelForm):
 
 class ImportEventsForm(forms.Form):
     events_csv_file = forms.FileField(
-            label=_('Events File'),
-            required=True,
-            help_text=_('CSV file with date, time, number of places, '
-                        'number of places in waiting list, and label '
-                        'as columns.'))
+        label=_('Events File'),
+        required=True,
+        help_text=_(
+            'CSV file with date, time, number of places, '
+            'number of places in waiting list, and label '
+            'as columns.'
+        ),
+    )
     events = None
 
     def __init__(self, agenda_pk, **kwargs):
@@ -201,31 +209,37 @@ class ImportEventsForm(forms.Form):
             if not csvline:
                 continue
             if len(csvline) < 3:
-                raise ValidationError(_('Invalid file format. (line %d)') % (i+1))
+                raise ValidationError(_('Invalid file format. (line %d)') % (i + 1))
             if i == 0 and csvline[0].strip('#') in ('date', 'Date', _('date'), _('Date')):
                 continue
             event = Event()
             event.agenda_id = self.agenda_pk
-            for datetime_fmt in ('%Y-%m-%d %H:%M', '%d/%m/%Y %H:%M',
-                    '%d/%m/%Y %Hh%M', '%Y-%m-%d %H:%M:%S', '%d/%m/%Y %H:%M:%S'):
+            for datetime_fmt in (
+                '%Y-%m-%d %H:%M',
+                '%d/%m/%Y %H:%M',
+                '%d/%m/%Y %Hh%M',
+                '%Y-%m-%d %H:%M:%S',
+                '%d/%m/%Y %H:%M:%S',
+            ):
                 try:
-                    event_datetime = datetime.datetime.strptime(
-                            '%s %s' % tuple(csvline[:2]), datetime_fmt)
+                    event_datetime = datetime.datetime.strptime('%s %s' % tuple(csvline[:2]), datetime_fmt)
                 except ValueError:
                     continue
                 event.start_datetime = make_aware(event_datetime)
                 break
             else:
-                raise ValidationError(_('Invalid file format. (date/time format, line %d)') % (i+1))
+                raise ValidationError(_('Invalid file format. (date/time format, line %d)') % (i + 1))
             try:
                 event.places = int(csvline[2])
             except ValueError:
-                raise ValidationError(_('Invalid file format. (number of places, line %d)') % (i+1))
+                raise ValidationError(_('Invalid file format. (number of places, line %d)') % (i + 1))
             if len(csvline) >= 4:
                 try:
                     event.waiting_list_places = int(csvline[3])
                 except ValueError:
-                    raise ValidationError(_('Invalid file format. (number of places in waiting list, line %d)') % (i+1))
+                    raise ValidationError(
+                        _('Invalid file format. (number of places in waiting list, line %d)') % (i + 1)
+                    )
             if len(csvline) >= 5:
                 event.label = force_text(csvline[4])
             exclude = ['desk', 'meeting_type']
@@ -237,11 +251,10 @@ class ImportEventsForm(forms.Form):
                 event.full_clean(exclude=exclude)
             except ValidationError as e:
                 errors = [
-                    _('Invalid file format. (%(label)s: %(errors)s, line %(line)d)') % {
-                        'label': label,
-                        'errors': u', '.join(field_errors),
-                        'line': i + 1
-                    } for label, field_errors in e.message_dict.items()]
+                    _('Invalid file format. (%(label)s: %(errors)s, line %(line)d)')
+                    % {'label': label, 'errors': u', '.join(field_errors), 'line': i + 1}
+                    for label, field_errors in e.message_dict.items()
+                ]
                 raise ValidationError(errors)
             events.append(event)
         self.events = events
@@ -252,10 +265,16 @@ class ExceptionsImportForm(forms.ModelForm):
         model = Desk
         fields = []
 
-    ics_file = forms.FileField(label=_('ICS File'), required=False,
-            help_text=_('ICS file containing events which will be considered as exceptions.'))
-    ics_url = forms.URLField(label=_('URL'), required=False,
-            help_text=_('URL to remote calendar which will be synchronised hourly.'))
+    ics_file = forms.FileField(
+        label=_('ICS File'),
+        required=False,
+        help_text=_('ICS file containing events which will be considered as exceptions.'),
+    )
+    ics_url = forms.URLField(
+        label=_('URL'),
+        required=False,
+        help_text=_('URL to remote calendar which will be synchronised hourly.'),
+    )
 
 
 class AgendasImportForm(forms.Form):
diff --git a/chrono/manager/management/commands/export_site.py b/chrono/manager/management/commands/export_site.py
index 9ac15cb..1751b78 100644
--- a/chrono/manager/management/commands/export_site.py
+++ b/chrono/manager/management/commands/export_site.py
@@ -27,8 +27,8 @@ class Command(BaseCommand):
 
     def add_arguments(self, parser):
         parser.add_argument(
-                '--output', metavar='FILE', default=None,
-                help='name of a file to write output to')
+            '--output', metavar='FILE', default=None, help='name of a file to write output to'
+        )
 
     def handle(self, *args, **options):
         if options['output']:
diff --git a/chrono/manager/management/commands/import_site.py b/chrono/manager/management/commands/import_site.py
index f32a1dd..e56e06c 100644
--- a/chrono/manager/management/commands/import_site.py
+++ b/chrono/manager/management/commands/import_site.py
@@ -27,17 +27,12 @@ class Command(BaseCommand):
     help = 'Import an exported site'
 
     def add_arguments(self, parser):
-        parser.add_argument('filename', metavar='FILENAME', type=str,
-                help='name of file to import')
+        parser.add_argument('filename', metavar='FILENAME', type=str, help='name of file to import')
+        parser.add_argument('--clean', action='store_true', default=False, help='Clean site before importing')
         parser.add_argument(
-                '--clean', action='store_true', default=False,
-                help='Clean site before importing')
-        parser.add_argument(
-                '--if-empty', action='store_true', default=False,
-                help='Import only if site is empty')
-        parser.add_argument(
-                '--overwrite', action='store_true', default=False,
-                help='Overwrite existing data')
+            '--if-empty', action='store_true', default=False, help='Import only if site is empty'
+        )
+        parser.add_argument('--overwrite', action='store_true', default=False, help='Overwrite existing data')
 
     def handle(self, filename, **options):
         if filename == '-':
@@ -45,9 +40,11 @@ class Command(BaseCommand):
         else:
             fd = open(filename)
         try:
-            import_site(json.load(fd),
-                        if_empty=options['if_empty'],
-                        clean=options['clean'],
-                        overwrite=options['overwrite'])
+            import_site(
+                json.load(fd),
+                if_empty=options['if_empty'],
+                clean=options['clean'],
+                overwrite=options['overwrite'],
+            )
         except AgendaImportError as exc:
             raise CommandError(u'%s' % exc)
diff --git a/chrono/manager/urls.py b/chrono/manager/urls.py
index eba7a17..39866c0 100644
--- a/chrono/manager/urls.py
+++ b/chrono/manager/urls.py
@@ -19,70 +19,91 @@ from django.conf.urls import url
 from . import views
 
 urlpatterns = [
-        url(r'^$', views.homepage, name='chrono-manager-homepage'),
-        url(r'^agendas/add/$', views.agenda_add,
-            name='chrono-manager-agenda-add'),
-        url(r'^agendas/import/$', views.agendas_import,
-            name='chrono-manager-agendas-import'),
-        url(r'^agendas/(?P<pk>\d+)/$', views.agenda_view,
-            name='chrono-manager-agenda-view'),
-        url(r'^agendas/(?P<pk>\d+)/(?P<year>[0-9]{4})/(?P<month>[0-9]+)/$', views.agenda_monthly_view,
-            name='chrono-manager-agenda-month-view'),
-        url(r'^agendas/(?P<pk>\d+)/(?P<year>[0-9]{4})/(?P<month>[0-9]+)/(?P<day>[0-9]+)/$', views.agenda_day_view,
-            name='chrono-manager-agenda-day-view'),
-        url(r'^agendas/(?P<pk>\d+)/settings$', views.agenda_settings,
-            name='chrono-manager-agenda-settings'),
-        url(r'^agendas/(?P<pk>\d+)/edit$', views.agenda_edit,
-            name='chrono-manager-agenda-edit'),
-        url(r'^agendas/(?P<pk>\d+)/delete$', views.agenda_delete,
-            name='chrono-manager-agenda-delete'),
-        url(r'^agendas/(?P<pk>\d+)/export$', views.agenda_export,
-            name='chrono-manager-agenda-export'),
-        url(r'^agendas/(?P<pk>\d+)/add-event$', views.agenda_add_event,
-            name='chrono-manager-agenda-add-event'),
-        url(r'^agendas/(?P<pk>\d+)/import-events$', views.agenda_import_events,
-            name='chrono-manager-agenda-import-events'),
-        url(r'^events/(?P<pk>\d+)/$', views.event_edit,
-            name='chrono-manager-event-edit'),
-        url(r'^events/(?P<pk>\d+)/delete$', views.event_delete,
-            name='chrono-manager-event-delete'),
-
-        url(r'^agendas/(?P<pk>\d+)/add-meeting-type$', views.agenda_add_meeting_type,
-            name='chrono-manager-agenda-add-meeting-type'),
-        url(r'^meetingtypes/(?P<pk>\d+)/edit$', views.meeting_type_edit,
-            name='chrono-manager-meeting-type-edit'),
-        url(r'^meetingtypes/(?P<pk>\d+)/delete$', views.meeting_type_delete,
-            name='chrono-manager-meeting-type-delete'),
-
-        url(r'^agendas/(?P<agenda_pk>\d+)/desk/(?P<pk>\d+)/add-time-period$', views.agenda_add_time_period,
-            name='chrono-manager-agenda-add-time-period'),
-        url(r'^timeperiods/(?P<pk>\d+)/edit$', views.time_period_edit,
-            name='chrono-manager-time-period-edit'),
-        url(r'^timeperiods/(?P<pk>\d+)/delete$', views.time_period_delete,
-            name='chrono-manager-time-period-delete'),
-
-        url(r'^agendas/(?P<pk>\d+)/add-desk$', views.agenda_add_desk,
-            name='chrono-manager-agenda-add-desk'),
-        url(r'^desks/(?P<pk>\d+)/edit$', views.desk_edit,
-            name='chrono-manager-desk-edit'),
-        url(r'^desks/(?P<pk>\d+)/delete$', views.desk_delete,
-            name='chrono-manager-desk-delete'),
-
-        url(r'^agendas/(?P<agenda_pk>\d+)/desk/(?P<pk>\d+)/add-time-period-exception$', views.agenda_add_time_period_exception,
-            name='chrono-manager-agenda-add-time-period-exception'),
-        url(r'^agendas/desk/(?P<pk>\d+)/import-exceptions-from-ics/$', views.desk_import_time_period_exceptions,
-            name='chrono-manager-desk-add-import-time-period-exceptions'),
-        url(r'^time-period-exceptions/(?P<pk>\d+)/edit$', views.time_period_exception_edit,
-            name='chrono-manager-time-period-exception-edit'),
-        url(r'^time-period-exceptions/(?P<pk>\d+)/delete$', views.time_period_exception_delete,
-            name='chrono-manager-time-period-exception-delete'),
-        url(r'^time-period-exceptions/(?P<pk>\d+)/exception-extract-list$', views.time_period_exception_extract_list,
-            name='chrono-manager-time-period-exception-extract-list'),
-        url(r'^time-period-exceptions/(?P<pk>\d+)/exception-list$', views.time_period_exception_list,
-            name='chrono-manager-time-period-exception-list'),
-
-        url(r'^agendas/events.csv$', views.agenda_import_events_sample_csv,
-            name='chrono-manager-sample-events-csv'),
-
-        url(r'^menu.json$', views.menu_json),
+    url(r'^$', views.homepage, name='chrono-manager-homepage'),
+    url(r'^agendas/add/$', views.agenda_add, name='chrono-manager-agenda-add'),
+    url(r'^agendas/import/$', views.agendas_import, name='chrono-manager-agendas-import'),
+    url(r'^agendas/(?P<pk>\d+)/$', views.agenda_view, name='chrono-manager-agenda-view'),
+    url(
+        r'^agendas/(?P<pk>\d+)/(?P<year>[0-9]{4})/(?P<month>[0-9]+)/$',
+        views.agenda_monthly_view,
+        name='chrono-manager-agenda-month-view',
+    ),
+    url(
+        r'^agendas/(?P<pk>\d+)/(?P<year>[0-9]{4})/(?P<month>[0-9]+)/(?P<day>[0-9]+)/$',
+        views.agenda_day_view,
+        name='chrono-manager-agenda-day-view',
+    ),
+    url(r'^agendas/(?P<pk>\d+)/settings$', views.agenda_settings, name='chrono-manager-agenda-settings'),
+    url(r'^agendas/(?P<pk>\d+)/edit$', views.agenda_edit, name='chrono-manager-agenda-edit'),
+    url(r'^agendas/(?P<pk>\d+)/delete$', views.agenda_delete, name='chrono-manager-agenda-delete'),
+    url(r'^agendas/(?P<pk>\d+)/export$', views.agenda_export, name='chrono-manager-agenda-export'),
+    url(r'^agendas/(?P<pk>\d+)/add-event$', views.agenda_add_event, name='chrono-manager-agenda-add-event'),
+    url(
+        r'^agendas/(?P<pk>\d+)/import-events$',
+        views.agenda_import_events,
+        name='chrono-manager-agenda-import-events',
+    ),
+    url(r'^events/(?P<pk>\d+)/$', views.event_edit, name='chrono-manager-event-edit'),
+    url(r'^events/(?P<pk>\d+)/delete$', views.event_delete, name='chrono-manager-event-delete'),
+    url(
+        r'^agendas/(?P<pk>\d+)/add-meeting-type$',
+        views.agenda_add_meeting_type,
+        name='chrono-manager-agenda-add-meeting-type',
+    ),
+    url(r'^meetingtypes/(?P<pk>\d+)/edit$', views.meeting_type_edit, name='chrono-manager-meeting-type-edit'),
+    url(
+        r'^meetingtypes/(?P<pk>\d+)/delete$',
+        views.meeting_type_delete,
+        name='chrono-manager-meeting-type-delete',
+    ),
+    url(
+        r'^agendas/(?P<agenda_pk>\d+)/desk/(?P<pk>\d+)/add-time-period$',
+        views.agenda_add_time_period,
+        name='chrono-manager-agenda-add-time-period',
+    ),
+    url(r'^timeperiods/(?P<pk>\d+)/edit$', views.time_period_edit, name='chrono-manager-time-period-edit'),
+    url(
+        r'^timeperiods/(?P<pk>\d+)/delete$',
+        views.time_period_delete,
+        name='chrono-manager-time-period-delete',
+    ),
+    url(r'^agendas/(?P<pk>\d+)/add-desk$', views.agenda_add_desk, name='chrono-manager-agenda-add-desk'),
+    url(r'^desks/(?P<pk>\d+)/edit$', views.desk_edit, name='chrono-manager-desk-edit'),
+    url(r'^desks/(?P<pk>\d+)/delete$', views.desk_delete, name='chrono-manager-desk-delete'),
+    url(
+        r'^agendas/(?P<agenda_pk>\d+)/desk/(?P<pk>\d+)/add-time-period-exception$',
+        views.agenda_add_time_period_exception,
+        name='chrono-manager-agenda-add-time-period-exception',
+    ),
+    url(
+        r'^agendas/desk/(?P<pk>\d+)/import-exceptions-from-ics/$',
+        views.desk_import_time_period_exceptions,
+        name='chrono-manager-desk-add-import-time-period-exceptions',
+    ),
+    url(
+        r'^time-period-exceptions/(?P<pk>\d+)/edit$',
+        views.time_period_exception_edit,
+        name='chrono-manager-time-period-exception-edit',
+    ),
+    url(
+        r'^time-period-exceptions/(?P<pk>\d+)/delete$',
+        views.time_period_exception_delete,
+        name='chrono-manager-time-period-exception-delete',
+    ),
+    url(
+        r'^time-period-exceptions/(?P<pk>\d+)/exception-extract-list$',
+        views.time_period_exception_extract_list,
+        name='chrono-manager-time-period-exception-extract-list',
+    ),
+    url(
+        r'^time-period-exceptions/(?P<pk>\d+)/exception-list$',
+        views.time_period_exception_list,
+        name='chrono-manager-time-period-exception-list',
+    ),
+    url(
+        r'^agendas/events.csv$',
+        views.agenda_import_events_sample_csv,
+        name='chrono-manager-sample-events-csv',
+    ),
+    url(r'^menu.json$', views.menu_json),
 ]
